Subject: [bug#74746] Updating Docker to v27

From: Josep Bigorra <[email-masked]>
Date: Mon, 9 Dec 2024 15:55:00 +0100

Hi all, I am struggling to get new Docker versions working on Guix.
For the this is critical for day to day work and I start to have some
problems due to running on old version.
I attempted some changes to the Guix package for docker but no
success. See the patch attached and the error message.

Thanks
Joe
From 9ac032ab3228f461467b63a164b76b3545b1bcf2 Mon Sep 17 00:00:00 2001
Message-ID: <9[email-masked]>
From: Josep Bigorra <[email-masked]>
Date: Mon, 9 Dec 2024 15:50:43 +0100
Subject: [PATCH] attempt to update docker to v27

---
 gnu/packages/docker.scm | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/gnu/packages/docker.scm b/gnu/packages/docker.scm
index b49dc58bd0..0798fd7285 100644
--- a/gnu/packages/docker.scm
+++ b/gnu/packages/docker.scm
@@ -55,7 +55,7 @@ (define-module (gnu packages docker)
 
 ;; Note - when changing Docker versions it is important to update the versions
 ;; of several associated packages (docker-libnetwork and go-sctp).
-(define %docker-version "20.10.27")
+(define %docker-version "27.3.1")
 
 (define-public python-docker
   (package
@@ -350,7 +350,7 @@ (define-public docker
       #~(modify-phases %standard-phases
           (add-after 'unpack 'patch-paths
             (lambda* (#:key inputs #:allow-other-keys)
-              (substitute* "builder/builder-next/executor_unix.go"
+              (substitute* "builder/builder-next/executor_linux.go"
                 (("CommandCandidates:.*runc.*")
                  (string-append "CommandCandidates: []string{\""
                                 (search-input-file inputs "/sbin/runc")
-- 
2.46.0